## GUPnPDLNAImageInformation

GUPnPDLNAImageInformation — Base class representing image metadata needed for DLNA profiles matching.

## Functions

GUPnPDLNAIntValue | gupnp_dlna_image_information_get_depth ()
GUPnPDLNAIntValue | gupnp_dlna_image_information_get_height ()
GUPnPDLNAIntValue | gupnp_dlna_image_information_get_width ()
GUPnPDLNAStringValue | gupnp_dlna_image_information_get_mime ()

## Types and Values

struct | GUPnPDLNAImageInformationClass

## Object Hierarchy

        GObject
        ╰── GUPnPDLNAImageInformation

## Description

GUPnPDLNAImageInformation holds all image metadatas important for matching profiles. Note that it does not mean all data should be provided for every image file as in some cases it does not make sense.

For metadata attributes that do not exist in current image file an unset value should be returned. For metadata attributes that do exist a set value with proper underlying value should be returned. In case metadata extractor has completely no clue how to extract some metadata attribute at all, an unsupported value should be returned. Note that unsupported values should be a temporary mean before fixing the multimedia framework to be able to extract such attribute.

Note that `gupnp_dlna_image_information_get_mime()` should always return a set value. Otherwise it is highly probably that the file will not match against any DLNA profile.

## Functions

### gupnp_dlna_image_information_get_depth ()

    GUPnPDLNAIntValue
    gupnp_dlna_image_information_get_depth
                                   (GUPnPDLNAImageInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAImageInformation object. |

#### Returns

A depth of an image.

### gupnp_dlna_image_information_get_height ()

    GUPnPDLNAIntValue
    gupnp_dlna_image_information_get_height
                                   (GUPnPDLNAImageInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAImageInformation object. |

#### Returns

A height of an image.

### gupnp_dlna_image_information_get_width ()

    GUPnPDLNAIntValue
    gupnp_dlna_image_information_get_width
                                   (GUPnPDLNAImageInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAImageInformation object. |

#### Returns

A width of an image.

### gupnp_dlna_image_information_get_mime ()

    GUPnPDLNAStringValue
    gupnp_dlna_image_information_get_mime (GUPnPDLNAImageInformation *info);

[skip]

#### Parameters

info | A GUPnPDLNAImageInformation object. |

#### Returns

A MIME type of an image.

## Types and Values

### struct GUPnPDLNAImageInformationClass

    struct GUPnPDLNAImageInformationClass {
            GObjectClass parent_class;

            GUPnPDLNAIntValue
            (* get_depth) (GUPnPDLNAImageInformation *info);

            GUPnPDLNAIntValue
            (* get_height) (GUPnPDLNAImageInformation *info);

            GUPnPDLNAIntValue
            (* get_width) (GUPnPDLNAImageInformation *info);

            GUPnPDLNAStringValue
            (* get_mime) (GUPnPDLNAImageInformation *info);

            gpointer _reserved[12];
    };

#### Members

`get_depth` () | This is called by GUPnPDLNAProfileGuesser to get a depth. |
`get_height` () | This is called by GUPnPDLNAProfileGuesser to get a height. |
`get_width` () | This is called by GUPnPDLNAProfileGuesser to get a width. |
`get_mime` () | This is called by GUPnPDLNAProfileGuesser to get a MIME type. |
gpointer `_reserved`[12]; | Padding. Ignore it. |

## See Also

GUPnPDLNABoolValue, GUPnPDLNAFractionValue, GUPnPDLNAIntValue, GUPnPDLNAStringValue